[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.Paint

Renders the tree view control.

## Declaration

Source position: comctrls.pp line 3631

`protected procedure TCustomTreeView.Paint; override;`

## Description

Paint is an overridden method in TCustomTreeView. It calls the DoPaint method to update the control state, default item height, borders, and scroll bars before painting the nodes on the control.

## See also

TCustomTreeView.DoPaint |  | Implements the Paint method for the control.
TCustomTreeView.DoPaintNode |  | Renders the specified tree node to the canvas for the control.
TCustomControl.Paint |  | Implements the default handler used to draw the control.